Subject: [alpine-aports] [PATCH] testing/corebird: new aport

From: ScrumpyJack <[email-masked]>
Date: Fri, 12 Jun 2015 16:27:49 +0000 (UTC)

Corebird is a modern, easy and fun Twitter client
http://corebird.baedert.org/

---
 testing/corebird/APKBUILD | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 testing/corebird/APKBUILD

diff --git a/testing/corebird/APKBUILD b/testing/corebird/APKBUILD
new file mode 100644
index 0000000..ca99657
--- /dev/null
+++ b/testing/corebird/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: ScrumpyJack <[email-masked]>
+# Maintainer:
+pkgname=corebird
+pkgver=1.0
+pkgrel=0
+pkgdesc="Corebird is a modern, easy and fun Twitter client"
+url="http://corebird.baedert.org/"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev=""
+makedepends="gtk+3.0-dev rest-dev json-glib-dev sqlite-dev libsoup-dev libgee-dev
+            vala tiff automake autoconf libtool intltool glib-dev"
+install=""
+subpackages="$pkgname-lang $pkgname-doc"
+source="saveas-https://github.com/baedert/corebird/archive/1.0.tar.gz/${pkgname}-${pkgver}.tar.gz"
+options="libtool"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./autogen.sh \
+           --disable-video \
+           --prefix=/usr || return 1
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="612f390b1ec732cd6e8fce1e58209256  corebird-1.0.tar.gz"
+sha256sums="0ca4ca20b0281b2901382810ef8bd1682bb896c3915ad3bea3f2a41461118001  corebird-1.0.tar.gz"
+sha512sums="098dd764a3aecaeda90ad5b0e24a4bf172025ce1a4105b713a1a73385d1de9cca028d7a34a39e9682ad4e2b2b22d4bf2889668c587e363cdfa6053136b1f4c39  corebird-1.0.tar.gz"
-- 
2.4.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---